﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;
namespace ornek1
{
    public partial class fkurtanimla : Form
    {
        MySqlDataAdapter da_form2;
        DataTable dt_form2;
        public fkurtanimla(MySqlDataAdapter da)
        {
            InitializeComponent();

            da_form2 = da;
            dt_form2 = new DataTable();
            da.Fill(dt_form2);

            dataGridView1.DataSource = dt_form2; // gelen bilgileri datagrid icerisine aldik

            dataGridView1.AllowUserToDeleteRows = false;
            dataGridView1.AllowUserToAddRows = false;
            dataGridView1.Columns[0].Visible = false;
            dataGridView1.Columns[1].HeaderText = "Kur Adı";
            dataGridView1.Columns[2].HeaderText = "Alış(TL)";
            dataGridView1.Columns[3].HeaderText = "Satış(TL)";
            dataGridView1.Columns[1].ReadOnly = true; // duzenlemeye kapatildi

            dataGridView1.Columns[1].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
            dataGridView1.Columns[2].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
            dataGridView1.Columns[3].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;

        }

        private void bekle_Click(object sender, EventArgs e)
        {
            double alis, satis;

            talis.Text = talis.Text.Replace('.', ','); // kisinin ayrac olarak nokta girmesi durumunda virgul ile degistirdik
            tsatis.Text = tsatis.Text.Replace('.', ',');

            bool k1 = double.TryParse(talis.Text, out alis);
            bool k2 = double.TryParse(tsatis.Text, out satis);

            if (k1 && k2 && tkuradi.Text.Length > 0)
            {
                try
                {
                    DataRow dr = dt_form2.NewRow();
                    dr["adi"] = tkuradi.Text;
                    dr["alis"] = alis; // double
                    dr["satis"] = satis; // double

                    dt_form2.Rows.Add(dr);
                    da_form2.Update(dt_form2);
                    tkuradi.Clear();
                    talis.Clear();
                    tsatis.Clear();

                }
                catch
                {
                    dt_form2.Clear(); // onceki dt yi temizle
                    da_form2.Fill(dt_form2);
                }

                
            
            }
        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            try
            {
                da_form2.Update(dt_form2);
                this.Close();
            }
            catch { }
        }
    }
}
